Unity launcher and panel do not zoom alongsize the desktop with Enhanced Zoom Desktop

Bug #762699 reported by Jiri Grönroos on 2011-04-16
180
This bug affects 35 people
Affects Status Importance Assigned to Milestone
Unity
Triaged
Medium
Unassigned
unity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: compiz

Unity's top panel and launcher are not zoomable when using Compiz's Enhanced Zoom Desktop feature. Futhermore, top panel's shadow creates a visual glitch when zooming (see bug 762247). In Maverick zooming gnome-panel worked well. See attached screenshot for what happens in Unity.

Steps to reproduce:
1) (Note that this may break the desktop. Use caution.) Open CCSM and enable the Enhanced Zoom Desktop plugin, if not already enabled
2) Set the zoom in and zoom out hotkeys if needed
3) Zoom in to the desktop

What should happen:
All areas of the desktop zoom in together

What happens instead:
All areas of the desktop except for Unity (panel/dash/launcher) zoom in. Instead, Unity is overlayed on top of the zoomed area.

A screenshot may be seen here: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/762699/+attachment/2788578/+files/bug.png

Affected Ubuntu versions: Natty, Oneiric, Precise, and Quantal (as of 09 Nov. 2012)

Jiri Grönroos (jiri-gronroos) wrote :

It would be great if upon zooming, the launcher and panel are zoomed into as well. This is very important as i used to use this a lot on lucid, and need to access menus as well

affects: compiz (Ubuntu) → unity (Ubuntu)
Alex Launi (alexlauni) on 2011-05-02
Changed in unity:
status: New → Confirmed
importance: Undecided → Wishlist
Changed in unity (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Penelope Stowe (pendulum) wrote :

This is a major bug for people who need screen magnification to use a computer. There has been feedback to the Accessibility Team by multiple users that they will have to stop using Ubuntu until this is fixed.

Luke Yelavich (themuso) on 2011-10-18
tags: added: a11y
manny (estelar57) wrote :

accessibility items need to be set to medium and not wishlist

I believe importance here indeed deserves to be set at something higher than wishlist.

Alan Bell (alanbell) wrote :

The levels of importance have a specific and defined meaning https://wiki.ubuntu.com/Bugs/Importance

From a user perspective I can see this looks like something that has been broken, but I can also see that from an architectural perspective it is a feature that Nux has never had. Either way it needs fixing, but is a non-trivial architectural problem.
I think it might be possible to increase the size of the unity elements as you zoom. Not zooming the unity elements as such, just making them bigger. If this is synchronised with the zoom level it might be quite a nice effect.

Confirmed on Precise

description: updated
description: updated
summary: - Unity launcher and panel are not zoomable with Enhanced Zoom Desktop
+ Unity launcher and panel do not zoom alongsize the desktop with Enhanced
+ Zoom Desktop
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Sven Romeike (lun4tic) wrote :

Maybe the drawing of the unity launcher and panel on a differend "Layer" than the zoomed desktop is also the reason for the autohide issues with the launcher.

Sven Romeike (lun4tic) wrote :

Maybe the best thing for this issue would be to make it optional so that users that need the zoom can turn it on. OSX handles it like this. But it should be in the standard settings somewhere and not only be available through CCSM

Robert Charlton (rectec) wrote :

This is also present in Quantal. This bug needs to get more attention. Some people may need to zoom in on the panel/launcher/dash to be able to see it better. It's also worth noting once again that screencasters may need to use this feature.

description: updated
Lee Clark (lclark125) wrote :

I agree this bug really needs some attention. I have been unable to use Ubuntu since 11.04 because I need the zoom feature.

Qbert (qbert) wrote :

I totally agree. This bug makes Ubuntu unusable for a large amount of people! The removal of gnome-classic and Unity 2d also eliminates the easiest workarounds for this bug.

Agreed. I've been using kubuntu 12.04, because zoom still works in KDE.

Sent from my iPad

On Nov 10, 2012, at 12:45 PM, "Qbert" <email address hidden> wrote:

> I totally agree. This bug makes Ubuntu unusable for a large amount of
> people! The removal of gnome-classic and Unity 2d also eliminates the
> easiest workarounds for this bug.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (781529).
> https://bugs.launchpad.net/bugs/762699
>
> Title:
> Unity launcher and panel do not zoom alongsize the desktop with
> Enhanced Zoom Desktop
>
> Status in Unity:
> Confirmed
> Status in “unity” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: compiz
>
> Unity's top panel and launcher are not zoomable when using Compiz's
> Enhanced Zoom Desktop feature. Futhermore, top panel's shadow creates
> a visual glitch when zooming (see bug 762247). In Maverick zooming
> gnome-panel worked well. See attached screenshot for what happens in
> Unity.
>
> Steps to reproduce:
> 1) (Note that this may break the desktop. Use caution.) Open CCSM and enable the Enhanced Zoom Desktop plugin, if not already enabled
> 2) Set the zoom in and zoom out hotkeys if needed
> 3) Zoom in to the desktop
>
> What should happen:
> All areas of the desktop zoom in together
>
> What happens instead:
> All areas of the desktop except for Unity (panel/dash/launcher) zoom in. Instead, Unity is overlayed on top of the zoomed area.
>
> A screenshot may be seen here:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/762699/+attachment/2788578/+files/bug.png
>
> Affected Ubuntu versions: Natty, Oneiric, Precise, and Quantal (as of
> 09 Nov. 2012)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/762699/+subscriptions

Download full text (3.4 KiB)

Yip, I was an Ubuntu user for 5+ years, moved to Mac.

Sent from my iPhone

On Nov 10, 2012, at 7:42 PM, Roolark <email address hidden> wrote:

> Agreed. I've been using kubuntu 12.04, because zoom still works in KDE.
>
> Sent from my iPad
>
> On Nov 10, 2012, at 12:45 PM, "Qbert" <email address hidden> wrote:
>
>> I totally agree. This bug makes Ubuntu unusable for a large amount of
>> people! The removal of gnome-classic and Unity 2d also eliminates the
>> easiest workarounds for this bug.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (781529).
>> https://bugs.launchpad.net/bugs/762699
>>
>> Title:
>> Unity launcher and panel do not zoom alongsize the desktop with
>> Enhanced Zoom Desktop
>>
>> Status in Unity:
>> Confirmed
>> Status in “unity” package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> Binary package hint: compiz
>>
>> Unity's top panel and launcher are not zoomable when using Compiz's
>> Enhanced Zoom Desktop feature. Futhermore, top panel's shadow creates
>> a visual glitch when zooming (see bug 762247). In Maverick zooming
>> gnome-panel worked well. See attached screenshot for what happens in
>> Unity.
>>
>> Steps to reproduce:
>> 1) (Note that this may break the desktop. Use caution.) Open CCSM and enable the Enhanced Zoom Desktop plugin, if not already enabled
>> 2) Set the zoom in and zoom out hotkeys if needed
>> 3) Zoom in to the desktop
>>
>> What should happen:
>> All areas of the desktop zoom in together
>>
>> What happens instead:
>> All areas of the desktop except for Unity (panel/dash/launcher) zoom in. Instead, Unity is overlayed on top of the zoomed area.
>>
>> A screenshot may be seen here:
>> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/762699/+attachment/2788578/+files/bug.png
>>
>> Affected Ubuntu versions: Natty, Oneiric, Precise, and Quantal (as of
>> 09 Nov. 2012)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/unity/+bug/762699/+subscriptions
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (762247).
> https://bugs.launchpad.net/bugs/762699
>
> Title:
> Unity launcher and panel do not zoom alongsize the desktop with
> Enhanced Zoom Desktop
>
> Status in Unity:
> Confirmed
> Status in “unity” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: compiz
>
> Unity's top panel and launcher are not zoomable when using Compiz's
> Enhanced Zoom Desktop feature. Futhermore, top panel's shadow creates
> a visual glitch when zooming (see bug 762247). In Maverick zooming
> gnome-panel worked well. See attached screenshot for what happens in
> Unity.
>
> Steps to reproduce:
> 1) (Note that this may break the desktop. Use caution.) Open CCSM and enable the Enhanced Zoom Desktop plugin, if not already enabled
> 2) Set the zoom in and zoom out hotkeys if needed
> 3) Zoom in to the desktop
>
> What should happen:
> All areas of the desktop zoom in together
>
> What happens instead:
> All areas of the desktop except for Unity (panel/dash/launcher) zoom in. Instead, Unity is overlayed on top of the zoomed area.
>
> A screensho...

Read more...

Changed in unity:
importance: Wishlist → Medium
Changed in unity (Ubuntu):
importance: Wishlist → Medium
Changed in unity:
status: Confirmed → Triaged
Zombifier (duckhoi1234) wrote :

For a workaround, use the Magnifier plugin, which actually does it job and zooms in on the panel and launcher, and increase the width and height to the max (unfortunately it is only 1000, so most users with large monitors will not get the same effect)

I would love to see this bug fixed. Ubuntu can't hail itself as "Linux for human beings" if bugs like this are not fix

Robert Charlton (rectec) wrote :

We need to get Compiz to composite the Unity plugin somehow.

Luis González (luisg123v) wrote :

Is there anything else we can do to help fixing this bug?

It's look like Ubuntu have lost interest on accessibility, this bug was reported over 3 years ago and it isn't fixed yet. In addition, the Unity menu stills not accessible from Orca Screen Reader

Qbert (qbert) wrote :

There are six reports related to this bug dating back to 11.04. Six years later nothing has been fixed. There is no patch or workaround as far as i know.

I've been in limbo due to insufficient zoom accessibility features in Unity, Gnome 3 and KDE. Being stuck with gnome classic and 12.04. Honestly feeling that Linux has turned it's back on me.

I finally ended up with KDE and filed a bug assessing the main issue i had with the zoom functionality here: https://bugs.kde.org/show_bug.cgi?id=357692. The bug was resolved in LESS THAN ONE WEEK. There is now a working patch for 5.5 and it will (as far as I know) be implemented in Plasma 5.6. The end result is far superior to any zoom I've ever used (on Linux, Mac and Windows).

So what's the point of this rant like comment? I want to:
- inform people like me that there is now a very good alternative to the Enhanced Zoom Desktop plugin.
- remind people of the importance of resolving this bug.

Roolark (aloerch2572) wrote :

I was one of, if not the original, poster of this bug. I use Linux frequently as a desktop and server os at university. I'm glad you've discovered that KDE has working, superb, zoom accessibility. I've actually been using KDE exclusively now for several and have abandoned Unity/Gnome 3 just as Unity/Gnome3's development community has abandoned its visually impaired users.

KDE cares.

Sent from my iPhone

> On Jan 15, 2016, at 1:41 AM, Qbert <email address hidden> wrote:
>
> There are six reports related to this bug dating back to 11.04. Six
> years later nothing has been fixed. There is no patch or workaround as
> far as i know.
>
> I've been in limbo due to insufficient zoom accessibility features in
> Unity, Gnome 3 and KDE. Being stuck with gnome classic and 12.04.
> Honestly feeling that Linux has turned it's back on me.
>
> I finally ended up with KDE and filed a bug assessing the main issue i
> had with the zoom functionality here:
> https://bugs.kde.org/show_bug.cgi?id=357692. The bug was resolved in
> LESS THAN ONE WEEK. There is now a working patch for 5.5 and it will (as
> far as I know) be implemented in Plasma 5.6. The end result is far
> superior to any zoom I've ever used (on Linux, Mac and Windows).
>
> So what's the point of this rant like comment? I want to:
> - inform people like me that there is now a very good alternative to the Enhanced Zoom Desktop plugin.
> - remind people of the importance of resolving this bug.
>
> ** Bug watch added: KDE Bug Tracking System #357692
> https://bugs.kde.org/show_bug.cgi?id=357692
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (781529).
> https://bugs.launchpad.net/bugs/762699
>
> Title:
> Unity launcher and panel do not zoom alongsize the desktop with
> Enhanced Zoom Desktop
>
> Status in Unity:
> Triaged
> Status in unity package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: compiz
>
> Unity's top panel and launcher are not zoomable when using Compiz's
> Enhanced Zoom Desktop feature. Futhermore, top panel's shadow creates
> a visual glitch when zooming (see bug 762247). In Maverick zooming
> gnome-panel worked well. See attached screenshot for what happens in
> Unity.
>
> Steps to reproduce:
> 1) (Note that this may break the desktop. Use caution.) Open CCSM and enable the Enhanced Zoom Desktop plugin, if not already enabled
> 2) Set the zoom in and zoom out hotkeys if needed
> 3) Zoom in to the desktop
>
> What should happen:
> All areas of the desktop zoom in together
>
> What happens instead:
> All areas of the desktop except for Unity (panel/dash/launcher) zoom in. Instead, Unity is overlayed on top of the zoomed area.
>
> A screenshot may be seen here:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/762699/+attachment/2788578/+files/bug.png
>
> Affected Ubuntu versions: Natty, Oneiric, Precise, and Quantal (as of
> 09 Nov. 2012)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/762699/+subscriptions

Luis González (luisg123v) wrote :

I have not tested yet the accessibility on KDE. However, I'm pretty pleased using mate desktop+ezoom.

It works good and the desktop is the most accessible/usable when using orca I've tested so far (I've tested Gnome 3/classic, Unity and Cinnamon)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.